Skip to main content
Weavr Multi Product API
Managed Cards

Get all spend rules for a managed card

GET/managed_cards/{id}/spend_rules

Fetch the list of spend rules associated with the managed card identified by the id path parameter.

Request

Path parameters

Responses

200OK

Success

Headers
Body
application/json
{}
AllLevelSpendRulesAllLevelSpendRules · object · 17 fields
Response example
{  "allowedMerchantCategories": [    "string"  ],  "blockedMerchantCategories": [    "string"  ],  "allowedMerchantIds": [    "string"  ],  "blockedMerchantIds": [    "string"  ],  "allowedMerchantCountries": [    "string"  ],  "blockedMerchantCountries": [    "string"  ],  "allowContactless": true,  "allowAtm": true,  "allowECommerce": true,  "allowCashback": true,  "allowCreditAuthorisations": true,  "minTransactionAmount": 0,  "maxTransactionAmount": 0,  "spendLimit": [    {      "startTimestamp": 0,      "value": {        "currency": "string",        "amount": 0      },      "interval": "DAILY"    }  ],  "cardLevelSpendRules": {    "allowedMerchantCategories": [      "string"    ],    "blockedMerchantCategories": [      "string"    ],    "allowedMerchantIds": [      "string"    ],    "blockedMerchantIds": [      "string"    ],    "allowedMerchantCountries": [      "string"    ],    "blockedMerchantCountries": [      "string"    ],    "allowContactless": true,    "allowAtm": true,    "allowECommerce": true,    "allowCashback": true,    "allowCreditAuthorisations": true,    "rolloverPolicy": {      "rolloverNegative": true    },    "spendLimit": [      {        "startTimestamp": 0,        "value": {          "currency": "string",          "amount": 0        },        "interval": "DAILY"      }    ],    "minTransactionAmount": 0,    "maxTransactionAmount": 0  },  "profileLevelSpendRules": {    "allowedMerchantCategories": [      "string"    ],    "blockedMerchantCategories": [      "string"    ],    "allowedMerchantIds": [      "string"    ],    "blockedMerchantIds": [      "string"    ],    "allowedMerchantCountries": [      "string"    ],    "blockedMerchantCountries": [      "string"    ],    "allowContactless": true,    "allowAtm": true,    "allowECommerce": true,    "allowCashback": true,    "allowCreditAuthorisations": true,    "rolloverPolicy": {      "rolloverNegative": true    },    "authForwardingEnabled": true  },  "identityLevelSpendRules": {    "allowedMerchantCategories": [      "string"    ],    "blockedMerchantCategories": [      "string"    ],    "allowedMerchantIds": [      "string"    ],    "blockedMerchantIds": [      "string"    ],    "allowedMerchantCountries": [      "string"    ],    "blockedMerchantCountries": [      "string"    ],    "allowContactless": true,    "allowAtm": true,    "allowECommerce": true,    "allowCashback": true,    "allowCreditAuthorisations": true,    "rolloverPolicy": {      "rolloverNegative": true    },    "minTransactionAmount": 0,    "maxTransactionAmount": 0  }}